/**
 *   Sanicen
 *
 *   @author Emilio Jiménez del Moral
 *   Copyright (C) 2016 Emilio Jiménez del Moral
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   as published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


package com.argenes.android.sanicen.activities;

import android.app.Activity;
import android.os.Bundle;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView;
import android.view.View;
import android.widget.TextView;
import android.widget.SimpleCursorAdapter;
import android.database.Cursor;

import com.argenes.android.sanicen.db.DBHelper;
import com.argenes.android.sanicen.*;
import com.argenes.android.sanicen.utils.NavigationManager;

public class ProvincesActivity extends Activity {

    private DBHelper db;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_provinces);
        db = new DBHelper(this);
        Cursor cursor = db.getProvincesCursor("1");
        String[] from = new String[] {"_id", "name"};
        int[] to = new int[] {R.id.item_id, R.id.item_name };

        SimpleCursorAdapter adapter = new SimpleCursorAdapter(this, R.layout.list_item, cursor, from, to, 0);
        final ListView lstProvinces = (ListView)findViewById(R.id.LstOptions);

        lstProvinces.setAdapter(adapter);

        lstProvinces.setOnItemClickListener(new OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> a, View v, int position, long id) {
                TextView itemID_tv = (TextView) v.findViewById(R.id.item_id);
                String provinceCode = itemID_tv.getText().toString();
                TextView itemName_tv = (TextView) v.findViewById(R.id.item_name);
                String provinceName = itemName_tv.getText().toString();


                NavigationManager.goToMunicipaltiesActivity(ProvincesActivity.this,
                                                            provinceCode, provinceName);
            }
        });

    }
}
